..
  autogenerated from source/_templates/autosummary/io_class.rst

{#-
    ################################################################################
    # autosummary template for torchaudio.io module
    # Since StreamReader/StreamWriter have many methods/properties,
    # we want to list them up in the table of contents.
    # The default class template does not do this, so we use custom one here.
    ################################################################################
#}

{{ name | underline }}

.. autoclass:: {{ fullname }}

{%- if attributes %}

Properties
==========

{%- for item in attributes %}
{%- if not item.startswith('_') and item not in inherited_members %}

{{ item | underline("-") }}

.. container:: py attribute

   .. autoproperty:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}
{%- endif %}

Methods
=======

{%- for item in members %}
{%- if not item.startswith('_') and item not in inherited_members and item not in attributes %}

{{ item | underline("-") }}

.. container:: py attribute

   .. automethod:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}

{%- if name == "StreamReader" %}

Support Structures
==================

{%- for item in ["StreamReaderSourceStream", "StreamReaderSourceAudioStream", "StreamReaderSourceVideoStream", "StreamReaderOutputStream"] %}

{{ item | underline("-") }}

.. autoclass:: torchaudio.io.{{item}}()
   :members:

{%- endfor %}
{%- endif %}
